Create a private IPv4 network for a dedicated server

POST/v1/hosts/dedicated_servers/{server_id}/networks/private_ipv4

To create a private IPv4 network, send a POST request to the /v1/hosts/dedicated_servers/{server_id}/networks/private_ipv4 endpoint. The server ID has to be added to the path parameter and the subnet size in the request body.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of a server.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/hosts/dedicated_servers/openg4a7/networks/private_ipv4" \  -H "Content-Type: application/json" \  -d '{    "distribution_method": "gateway",    "mask": 29  }'
{  "id": "jnegQDbw",  "title": "Private",  "status": "new",  "cidr": null,  "family": "ipv4",  "interface_type": "private",  "distribution_method": "gateway",  "additional": true,  "updated_at": "2026-05-28T06:57:40Z",  "created_at": "2026-05-28T06:57:40Z"}
{  "message": "Networks limit exceeded",  "code": "NETWORKS_LIMIT_EXCEEDED"}